Running older plug ins

If you are new here check this forum first, your question may have been answered.
WindMonk
KVRist
82 posts since 19 Aug, 2018

Post Sun Mar 29, 2020 8:22 pm

I have an awesome older percussion plug (Yellow Tools Culture) in that ran on my OS 10.4 Tiger Mac (still use the Mac non-essential duties). Just wondering if anyone knows of a way to run older plug ins on 10.12 Sierra. I assume its a done deal and I won't be able to. I haven't used the program for several years now, but I see that many are using older plug ins on here and Im wondering how they are getting them to work... I even still have the dongle to get it going.
Thanks
D

teardrops
KVRer
29 posts since 30 Mar, 2020

Re: Running older plug ins

Post Mon Mar 30, 2020 8:50 am

I'm not sure if this can be done. It may work if you still have the installer and everything, can't say i've tried installing stuff from 10.4 to 10.12 or higher.

User avatar
Forgotten
KVRAF
11426 posts since 15 Apr, 2019 from Nowhere

Re: Running older plug ins

Post Mon Mar 30, 2020 9:12 am

What problem do you have when you try to run it?

WindMonk
KVRist
82 posts since 19 Aug, 2018

Re: Running older plug ins

Post Mon Mar 30, 2020 9:22 am

I can't load it due to OS. I was just wondering if there is a piece of shell software that It could be loaded in in Sierra. or something like that.

sprnva
KVRAF
1803 posts since 16 Jan, 2013

Re: Running older plug ins

Post Mon Mar 30, 2020 9:31 am

Did you run it on a Power Mac when on Tiger? If the plugin doesn't support Intel you won't be able to go past 10.6.
Image Image Image

User avatar
Forgotten
KVRAF
11426 posts since 15 Apr, 2019 from Nowhere

Re: Running older plug ins

Post Mon Mar 30, 2020 9:36 am

WindMonk wrote:
Mon Mar 30, 2020 9:22 am
I can't load it due to OS.
How do you know? Do you get an error message?

bermudagold
KVRist
356 posts since 15 Feb, 2005

Re: Running older plug ins

Post Mon Mar 30, 2020 9:49 am

the easiest thing to do probably is to run it through the best service engine plug in....it loads the old yellow tools instruments....the interface is not that different from yellow tools, I'm pretty sure it's built off the same yellow tools base code....the best service engine is probably up to date on mac and pc....if the empty engine is not available free for download or doesn't work, if you email magix with your original yellow tools license info, they usually hook people up as far as I know...i imagine they will probably give you a license to load the culture data into magix independence free
Last edited by bermudagold on Mon Mar 30, 2020 10:18 am, edited 2 times in total.
Music had a one night stand with sound design.....And the condom broke

Mushy Mushy
KVRAF
14780 posts since 7 Sep, 2008

Re: Running older plug ins

Post Mon Mar 30, 2020 9:52 am

Wow this brings back memories. The Yellow Tools saga was the precursor to the Alchemy saga. People absolutely lost their sh!t over it.
"I was wondering if you'd like to try Magic Mushrooms"
"Oooh I dont know. Sounds a bit scary"
"It's not scary. You just lose a sense of who you are and all that sh!t"

bermudagold
KVRist
356 posts since 15 Feb, 2005

Re: Running older plug ins

Post Mon Mar 30, 2020 9:59 am

Mushy Mushy wrote:
Mon Mar 30, 2020 9:52 am
Wow this brings back memories. The Yellow Tools saga was the precursor to the Alchemy saga. People absolutely lost their sh!t over it.
yeah it felt up in the air for a minute....which is no fun when you've invested money and time becoming proficient into a product line....i was never into the camel products, even though their fx were ahead of their time,...but i can imagine how some users must have felt when apple bought them and went mac only
Music had a one night stand with sound design.....And the condom broke

WindMonk
KVRist
82 posts since 19 Aug, 2018

Re: Running older plug ins

Post Mon Mar 30, 2020 11:19 am

I have sent a message to best service to find out how to get this done. Thank you very much for the information. I haven't found anything I like as much. I really never got into the forums at that time, but it certainly pissed me off. Wasn't cheap and it was very good. I just wanna start using it again.

btw answers for the previous questions.
(It is an intel Mac.. though from late 2006 or early 2007.
When loading it says:
You can’t open the application “MVI Culture 1.5 installer OSX” because it is not supported on this type of Mac)

User avatar
Forgotten
KVRAF
11426 posts since 15 Apr, 2019 from Nowhere

Re: Running older plug ins

Post Mon Mar 30, 2020 11:23 am

WindMonk wrote:
Mon Mar 30, 2020 11:19 am
btw answers for the previous questions.
(It is an intel Mac.. though from late 2006 or early 2007.
When loading it says:
You can’t open the application “MVI Culture 1.5 installer OSX” because it is not supported on this type of Mac)
Not what Mac you are using now, but the one you ran Tiger on - was it an Intel Mac or a PPC Mac?

WindMonk
KVRist
82 posts since 19 Aug, 2018

Re: Running older plug ins

Post Mon Mar 30, 2020 12:02 pm

The old Mac was intel duo iMac.

Passing Bye
KVRian
1468 posts since 5 Nov, 2014

Re: Running older plug ins

Post Mon Mar 30, 2020 12:55 pm

Try installing it with Pacifist, think original installer can't run, this will get all the files in right directories
https://www.charlessoft.com/

bermudagold
KVRist
356 posts since 15 Feb, 2005

Re: Running older plug ins

Post Mon Mar 30, 2020 1:38 pm

WindMonk wrote:
Mon Mar 30, 2020 11:19 am
I have sent a message to best service to find out how to get this done. Thank you very much for the information. I haven't found anything I like as much. I really never got into the forums at that time, but it certainly pissed me off. Wasn't cheap and it was very good. I just wanna start using it again.

btw answers for the previous questions.
(It is an intel Mac.. though from late 2006 or early 2007.
When loading it says:
You can’t open the application “MVI Culture 1.5 installer OSX” because it is not supported on this type of Mac)
Here is the link for engine....says it supports mac os 10.9-10.15....did you backup the culture data to disk independent of the installer?...if so you should be good to go....install, point engine to culture data
https://www.bestservice.de/downloads.html

if not, i dont know how to get the data extracted if the installer wont run to unpack....in that case, you will probably need to contact magix for the hookup
Music had a one night stand with sound design.....And the condom broke

WindMonk
KVRist
82 posts since 19 Aug, 2018

Re: Running older plug ins

Post Thu Apr 02, 2020 9:09 pm

Thanks so much for the info! Best Service hooked me up with Independence Pro and the legacy sample set of Culture. SO I've go it now... Only problem.. Its in my AU components folder for Ableton 9 but it is not showing in my plug ins in the DAW... any recommends?
Thanks again

Return to “Getting Started (AKA What is the best...?)”